# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.6.0
    hooks:
    -   id: end-of-file-fixer
    -   id: check-added-large-files
    -   id: check-toml
    -   id: check-docstring-first
    -   id: detect-private-key
    -   id: trailing-whitespace
    -   id: check-yaml
    -   id: debug-statements
    -   id: check-merge-conflict
    -   id: check-ast
-   repo: https://github.com/charliermarsh/ruff-pre-commit
    rev: 'v0.4.1'
    hooks:
      - id: ruff
        args: ["--fix", "--show-fixes"]
      - id: ruff-format
-   repo: https://github.com/PyCQA/isort
    rev: 5.13.2
    hooks:
    -   id: isort
        files: app
-   repo: https://github.com/pre-commit/mirrors-mypy
    rev: v1.9.0
    hooks:
    -   id: mypy
        files: app
        args: [--config=pyproject.toml]
        additional_dependencies:
            - boto3-stubs-lite[s3]<1.35.0
            - sqlalchemy>=2.0.0,<2.1.0
            - pydantic<2.8.0
            - types-requests
